"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteUnusedFiles = exports.addFiles = exports.addTemplateFiles = exports.addBaseFiles = void 0;
const devkit_1 = require("@nx/devkit");
function addBaseFiles(host, options) {
    const templateOptions = Object.assign(Object.assign(Object.assign({}, options), (0, devkit_1.names)(options.name)), { offsetFromRoot: (0, devkit_1.offsetFromRoot)(options.appProjectRoot), template: '' });
    (0, devkit_1.generateFiles)(host, (0, devkit_1.normalizePath)(__dirname + '/../files/base'), options.appProjectRoot, templateOptions);
}
exports.addBaseFiles = addBaseFiles;
function addTemplateFiles(host, options) {
    const templateOptions = Object.assign(Object.assign(Object.assign({}, options), (0, devkit_1.names)(options.name)), { offsetFromRoot: (0, devkit_1.offsetFromRoot)(options.appProjectRoot), template: '' });
    (0, devkit_1.generateFiles)(host, (0, devkit_1.normalizePath)(__dirname + `/../files/${options.template}`), options.appProjectRoot, templateOptions);
}
exports.addTemplateFiles = addTemplateFiles;
function addFiles(host, options) {
    addBaseFiles(host, options);
    addTemplateFiles(host, options);
    if (options.unitTestRunner === 'none') {
        host.delete(`${options.appProjectRoot}/src/app/App.spec.tsx`);
    }
}
exports.addFiles = addFiles;
function deleteUnusedFiles(host, options) {
    host.delete(options.appProjectRoot + '/src/favicon.ico');
    host.delete(options.appProjectRoot + `/src/app/App.css`);
    host.delete(options.appProjectRoot + `/src/app/logo.svg`);
    host.delete(options.appProjectRoot + `/src/app/star.svg`);
    return host;
}
exports.deleteUnusedFiles = deleteUnusedFiles;
//# sourceMappingURL=files.js.map